package tech.techyjessy.Commands;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import tech.techyjessy.Configuration.ConfigMgr;
import tech.techyjessy.Configuration.WhitelisterFormat;

public class RegisterWhitelister implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
        if (sender instanceof Player) {
            List<String> errors = new ArrayList<String>();
            Player player = (Player) sender;
            if (player.isOp()) {
                // We will assume the player wants multiple people whitelisted if there are multiple arguments
                WhitelisterFormat wFormat = WhitelisterFormat.getInstance();
                for (String name : args) {
                    String err = wFormat.AddName(name.toLowerCase());

                    // Add any error messages to display to player later
                    if (err != "success") {
                        errors.add(err);
                    }
                }
            } else {
                player.sendMessage("You don't have permission for this command!");
            }
            for (String err : errors) {
                player.sendMessage(err);
            }
        }
        return true;
    }
}
